Bug 666621 - [abrt] gramps-3.2.5-1.fc14: gtk_notebook_real_switch_page: Process /usr/bin/python was killed by signal 11 (SIGSEGV)
Summary: [abrt] gramps-3.2.5-1.fc14: gtk_notebook_real_switch_page: Process /usr/bin/p...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gramps
Version: 14
Hardware: i686
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Jeffrey C. Ollie
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:498a822033c28d943700ccf8bc9...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-01 14:32 UTC by Nigel Horne
Modified: 2011-05-13 23:15 UTC (History)
2 users (show)

Fixed In Version: gramps-3.2.6-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-09 03:58:29 UTC


Attachments (Terms of Use)
File: backtrace (44.29 KB, text/plain)
2011-01-01 14:32 UTC, Nigel Horne
no flags Details

Description Nigel Horne 2011-01-01 14:32:25 UTC
abrt version: 1.1.14
architecture: i686
Attached file: backtrace
cmdline: /usr/bin/python -O /usr/share/gramps/gramps.py
component: gramps
crash_function: gtk_notebook_real_switch_page
executable: /usr/bin/python
kernel: 2.6.35.10-74.fc14.i686
package: gramps-3.2.5-1.fc14
rating: 4
reason: Process /usr/bin/python was killed by signal 11 (SIGSEGV)
release: Fedora release 14 (Laughlin)
time: 1293891546
uid: 500

comment
-----
njh@philips:~$ gramps
/usr/share/gramps/gui/widgets/statusbar.py:210: Warning: invalid uninstantiatable type `(null)' in cast to `GtkLabel'
  self._bars[bar_id].pop(context_id)
/usr/share/gramps/gui/widgets/statusbar.py:210: GtkWarning: IA__gtk_label_set_text: assertion `GTK_IS_LABEL (label)' failed
  self._bars[bar_id].pop(context_id)
/usr/share/gramps/gui/widgets/statusbar.py:199: Warning: invalid uninstantiatable type `(null)' in cast to `GtkLabel'
  return self._bars[bar_id].push(context_id, text)
/usr/share/gramps/gui/widgets/statusbar.py:199: GtkWarning: IA__gtk_label_set_text: assertion `GTK_IS_LABEL (label)' failed
  return self._bars[bar_id].push(context_id, text)
^[[ASegmentation fault (core dumped)
njh@philips:~$ 

How to reproduce
-----
1. Start gramps
2. Click a few things
3. Quit

Comment 1 Nigel Horne 2011-01-01 14:32:30 UTC
Created attachment 471331 [details]
File: backtrace

Comment 2 Fedora Update System 2011-05-02 18:42:01 UTC
gramps-3.2.6-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/gramps-3.2.6-1.fc15

Comment 3 Fedora Update System 2011-05-02 18:47:08 UTC
gramps-3.2.6-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/gramps-3.2.6-1.fc14

Comment 4 Fedora Update System 2011-05-02 18:54:55 UTC
gramps-3.2.6-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/gramps-3.2.6-1.fc13

Comment 5 Fedora Update System 2011-05-03 04:27:15 UTC
Package gramps-3.2.6-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gramps-3.2.6-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/gramps-3.2.6-1.fc15
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2011-05-09 03:58:10 UTC
gramps-3.2.6-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2011-05-13 23:03:21 UTC
gramps-3.2.6-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2011-05-13 23:15:35 UTC
gramps-3.2.6-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.